# coding=utf-8
# Copyright 2019 The Routing Transformers Iclr20 Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""tensor2tensor eval incorporating routing transformers problems and models."""

from __future__ import absolute_import
from __future__ import division
from __future__ import print_function

from tensor2tensor.bin import t2t_eval
import tensorflow as tf

import routing_transformers_iclr20
from routing_transformers_iclr20 import problems


def main(argv):
  t2t_eval.main(argv)


if __name__ == "__main__":
  tf.app.run()
